Subject: Re: bug#36515: 25.1; Tramp doesn't allow pasting passwords

From: Michael Albinus <[email-masked]>
Date: Thu, 15 Aug 2019 15:59:28 +0200

Michael Albinus <[email-masked]> writes:

Hi Adam,

>> Tramp does not seem to allow pasting in the password (ctrl-y),
>> which plays hell with those of us who have so many passwords
>> that we generate them randomly and use a password manager.
>> The "work-around" is to paste the password somewere, and try
>> to type it in manually. This obviously works less and less
>> well as the passwords get longer.
>
> I cannot reproduce it locally. I have no Emacs 25.1, so I've tested with
> Emacs 24.5 and Emacs 25.2.
>
> Test:
>
> - emacs -Q /ssh:xxx@:
>   ;; In order to get a password prompt for non-existing user xxx
>
> - ;; Copy the the password string into the kill ring
>
> - C-y
>   ;; In the mini-buffer. You see as much dots as the length of the yanked password

No further information for weeks, so I close the bug. Feel free to
reopen, if you want to dig deeper with me into the issue.

Best regards, Michael.